Subject: Re: [PATCH 0/4] Add more tests of cvsimport

From: Michael Haggerty <[email-masked]>
Date: Fri, 20 Feb 2009 12:24:45 +0100

Junio C Hamano wrote:
> Also I noticed that [3/4] uses "diff -r -x" --- does it pretty much mean
> we require GNU diff to pass the test?  Can this be made more portable?

I can't think offhand of a more portable tool that could replace "diff
-r -x" here (suggestions, anyone?).  Of course one could re-implement
recursive diff in shell or perl, and I will take a stab at it if you
consider it important.  Alternatively, one could hardcode the paths that
the test scripts should test, but that would cost more per-test work
that I'd rather avoid.

Michael